Package net.md_5.bungee.protocol

# Class MinecraftEncoder

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelOutboundHandlerAdapter
io.netty.handler.codec.MessageToByteEncoder<DefinedPacket>
net.md_5.bungee.protocol.MinecraftEncoder

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelOutboundHandler`

public class MinecraftEncoder extends io.netty.handler.codec.MessageToByteEncoder<DefinedPacket>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

  `io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MinecraftEncoder(Protocol protocol, boolean server, int protocolVersion)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `encode(io.netty.channel.ChannelHandlerContext ctx, DefinedPacket msg, io.netty.buffer.ByteBuf out)`
  `Protocol`
  `getProtocol()`
  `int`
  `getProtocolVersion()`
  `void`
  `setProtocol(Protocol protocol)`
  `void`
  `setProtocolVersion(int protocolVersion)`

  ### Methods inherited from class io.netty.handler.codec.MessageToByteEncoder

  `acceptOutboundMessage, allocateBuffer, isPreferDirect, write`

  ### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

  `bind, close, connect, deregister, disconnect, flush, read`

  ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, exceptionCaught, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.netty.channel.ChannelHandler

  `exceptionCaught, handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### MinecraftEncoder

    public MinecraftEncoder(Protocol protocol, boolean server, int protocolVersion)

- ## Method Details

  - ### encode

    protected void encode(io.netty.channel.ChannelHandlerContext ctx, DefinedPacket msg, io.netty.buffer.ByteBuf out) throws Exception
    Specified by:
      `encode` in class `io.netty.handler.codec.MessageToByteEncoder<DefinedPacket>`
    Throws:
      `Exception`

  - ### getProtocol

    public Protocol getProtocol()

  - ### setProtocol

    public void setProtocol(Protocol protocol)

  - ### getProtocolVersion

    public int getProtocolVersion()

  - ### setProtocolVersion

    public void setProtocolVersion(int protocolVersion)